#!/bin/bash

while read line; do
	name=`echo $line | awk '{ print $1 }'`
	off=`echo $line | awk '{ print $5 }'`
	size=`echo $line | awk '{ print $6 }'`

	off=`printf "%d" $off`
	size=`printf "%d" $size`

	echo "dumping $name ..."

	dd if=dev1_reg0_16MB.bin of=$name bs=1 count=$size skip=$off
done
